gd_frameoffset(3)

NAME
gd_frameoffset — report the starting frame of fields in a dirfile

SYNOPSIS
#include <getdata.h>

off_t gd_frameoffset(DIRFILE *dirfile, int fragment_index);

DESCRIPTION
The gd_frameoffset() function queries a dirfile(5) database specified by dirfile and returns the frame offset (see dirfile-format(5)) for the fragment indexed by fragment_index. The frame offset of a fragment indicate the frame number of the first sample of data stored in binary files associated with RAW fields defined in the specified fragment. The frame offset of a fragment containing no RAW fields is ignored.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_frameoffset() returns the frame offset of the specified fragment. On error, it returns -1 and sets the dirfile error to a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_INDEX
    The supplied index was out of range.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_alter_frameoffset(3), gd_open(3), gd_error(3), gd_error_string(3), dirfile(5), dirfile-format(5)